	implicit integer (a-z)
	character*30 src, dest
	character*18 file
	dimension fdb(50)
	byte input(512),output(512)
	equivalence (input,input2)
	type *,'enter source file name file.typ[;ver]'
	accept *,file
c	type *,'enter desitnation file name'
c	accept *,dest
	dest=file
	open(	unit=2,
     *		carriagecontrol='none',
     *		dispose='keep',
     *		file=dest,
     *		form='unformatted',
     *		status='new',
     *		recl=512/4,
     *		recordtype='fixed')
	call fopenr( 1, 'DD:', '[240,10]', file, fdb, err)
D	type *,' fopenr error=',err
	if( err .lt. 0) goto 35
D	type *,'passed opens'
	out=0
   10	continue
	call readl( input, len, fdb, err)
D	type *,'len,err=',len,err
	if( err .eq. -10) goto 30
D	type 3,len,(input(i),i=1,len)
D   3	format(1x,'len=',i3/(10x,16(1x,z2.2)))
	do 20 i=1,len
	  if( out .eq. 512) then
	    write(2)output
	    do 18 j=1,512
	      output(i) = 0
   18	    continue
	    out = 0
	  endif
	  out = out + 1
	  output(out) = input(i)
   20	continue
	goto 10
   30	continue
	write(2)output
	close(unit=2)
   35	continue
	call fclose(fdb)
	end
	subroutine fopenr(lun,dev,uic,fil,fdb,err)
	implicit integer (a-z)
	byte fil(1),blank
	dimension dsp(6), fdb(1)
	data blank / ' ' /
	do 10 i = 1,49
	  fdb(i) = 0
   10	continue
	do 20 i=1,18
	  if( fil(i) .eq. blank) fil(i) = 0
   20	continue
	call dspbld( 0, dev, dsp(1), dsp(2))
	call dspbld( 0, uic, dsp(3), dsp(4))
	call dspbld( 0, fil, dsp(5), dsp(6))
	call openr( lun, dsp, fdb, err)
	return
	end
